3 Replies Latest reply on Oct 14, 2019 8:33 PM by ShipingW_81

    升级到PDL 3.1.0后,无法正常使用crypto库

    jali_3846906

             我有一个旧项目使用PDL 3.0.1,因为PDL 3.0.1存在一些问题,我更新搭配PDL3.1.0后,发现之前正常使用的crypto库,现在无法正常运行。具体表现为:我想用crypto生成一个真随机数,但当我进行编译的时候,发现以下错误:undefine reference "cryptoConfig"。经过我查看后可以知道是IDE没有加入一个文件做成的,本以为加入该文件后就可以正常编译,然而加入后也无法正常编译,并且出现了更多的依赖关系的错误。我在build settings发现原来的crfypto库版本是2.0.0,在更新PDL库后也只能选择crypto库版本是2.1.0。请问该如何解决这个问题?或者给一个基于PDL 3.1.0的crypto库的生成一个真随机数的例程进行参考,谢谢。